# Resident Portal Unit API

Manages units associated to the resident portal.

## Gets Unit Details

 - [GET /residents/properties/{propertyId}/units](https://docs.ruckus.cloud/api/resident-portal-0.0.1/resident-portal-unit-api/residentfetchunit.md): Gets unit details for the authenticated unit.

## Selectively Updates Unit Configurations

 - [PUT /residents/properties/{propertyId}/units](https://docs.ruckus.cloud/api/resident-portal-0.0.1/resident-portal-unit-api/residenteditunit.md): Allows the user to selectively update unit configurations such as passphrase, contact details.

## Gets Unit Devices

 - [GET /residents/properties/{propertyId}/units/devices](https://docs.ruckus.cloud/api/resident-portal-0.0.1/resident-portal-unit-api/residentfetchunitdevices.md): Allows the user to get all unit and guest devices with the given unit id.

## Delete Device

 - [DELETE /residents/properties/{propertyId}/units/devices/{deviceId}](https://docs.ruckus.cloud/api/resident-portal-0.0.1/resident-portal-unit-api/residentremovedevice.md): Allows the user to selectively remove unit device on the specified unit and device MAC address.

